Up

# NSScrollView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSScrollView class

## NSScrollView : NSView

> Declared in:
>   AppKit/NSScrollView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +contentSizeForFrameSize:hasHorizontalScroller:hasVerticalScroller:borderType:
- +frameSizeForContentSize:hasHorizontalScroller:hasVerticalScroller:borderType:
- +rulerViewClass
- +setRulerViewClass:
- -_synchronizeHeaderAndCornerView
- -backgroundColor
- -borderType
- -contentSize
- -contentView
- -documentCursor
- -documentView
- -documentVisibleRect
- -drawsBackground
- -hasHorizontalRuler
- -hasHorizontalScroller
- -hasVerticalRuler
- -hasVerticalScroller
- -horizontalLineScroll
- -horizontalPageScroll
- -horizontalRulerView
- -horizontalScroller
- -lineScroll
- -pageScroll
- -reflectScrolledClipView:
- -rulersVisible
- -scrollsDynamically
- -setBackgroundColor:
- -setBorderType:
- -setContentView:
- -setDocumentCursor:
- -setDocumentView:
- -setDrawsBackground:
- -setHasHorizontalRuler:
- -setHasHorizontalScroller:
- -setHasVerticalRuler:
- -setHasVerticalScroller:
- -setHorizontalLineScroll:
- -setHorizontalPageScroll:
- -setHorizontalRulerView:
- -setHorizontalScroller:
- -setLineScroll:
- -setPageScroll:
- -setRulersVisible:
- -setScrollsDynamically:
- -setVerticalLineScroll:
- -setVerticalPageScroll:
- -setVerticalRulerView:
- -setVerticalScroller:
- -tile
- -verticalLineScroll
- -verticalPageScroll
- -verticalRulerView
- -verticalScroller

### contentSizeForFrameSize: hasHorizontalScroller: hasVerticalScroller: borderType:

+ (NSSize) contentSizeForFrameSize: (NSSize)frameSize hasHorizontalScroller: (BOOL)hFlag hasVerticalScroller: (BOOL)vFlag borderType: (NSBorderType)borderType;
Availability: OpenStep
Description forthcoming.

### frameSizeForContentSize: hasHorizontalScroller: hasVerticalScroller: borderType:

+ (NSSize) frameSizeForContentSize: (NSSize)contentSize hasHorizontalScroller: (BOOL)hFlag hasVerticalScroller: (BOOL)vFlag borderType: (NSBorderType)borderType;
Availability: OpenStep
Description forthcoming.

### rulerViewClass

+ (Class) rulerViewClass;
Availability: OpenStep
Description forthcoming.

### setRulerViewClass:

+ (void) setRulerViewClass: (Class)aClass;
Availability: OpenStep
Description forthcoming.

### _synchronizeHeaderAndCornerView

- (void) _synchronizeHeaderAndCornerView;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### backgroundColor

- (NSColor*) backgroundColor;
Availability: OpenStep
Description forthcoming.

### borderType

- (NSBorderType) borderType;
Availability: OpenStep
Description forthcoming.

### contentSize

- (NSSize) contentSize;
Availability: OpenStep

Returns the size of the NSScrollView's content view

### contentView

- (NSClipView*) contentView;
Availability: OpenStep
Description forthcoming.

### documentCursor

- (NSCursor*) documentCursor;
Availability: OpenStep
Description forthcoming.

### documentView

- (id) documentView;
Availability: OpenStep
Description forthcoming.

### documentVisibleRect

- (NSRect) documentVisibleRect;
Availability: OpenStep
Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;
Availability: MacOS-X 10.0.0
Description forthcoming.

### hasHorizontalRuler

- (BOOL) hasHorizontalRuler;
Availability: OpenStep

Returns whether the NSScrollView has a horizontal ruler

See Also: -setHasHorizontalRuler:

### hasHorizontalScroller

- (BOOL) hasHorizontalScroller;
Availability: OpenStep

Returns whether the NSScrollView has a horizontal scroller

See Also: -setHasHorizontalScroller:

### hasVerticalRuler

- (BOOL) hasVerticalRuler;
Availability: OpenStep

Returns whether the NSScrollView has a vertical ruler

See Also: -setHasVerticalRuler:

### hasVerticalScroller

- (BOOL) hasVerticalScroller;
Availability: OpenStep

Returns whether the NSScrollView has a vertical scroller

See Also: -setHasVerticalScroller:

### horizontalLineScroll

- (float) horizontalLineScroll;
Availability: MacOS-X 10.0.0
Description forthcoming.

### horizontalPageScroll

- (float) horizontalPageScroll;
Availability: MacOS-X 10.0.0
Description forthcoming.

### horizontalRulerView

- (NSRulerView*) horizontalRulerView;
Availability: OpenStep
Description forthcoming.

### horizontalScroller

- (NSScroller*) horizontalScroller;
Availability: OpenStep
Description forthcoming.

### lineScroll

- (float) lineScroll;
Availability: OpenStep
Description forthcoming.

### pageScroll

- (float) pageScroll;
Availability: OpenStep
Description forthcoming.

### reflectScrolledClipView:

- (void) reflectScrolledClipView: (NSClipView*)aClipView;
Availability: OpenStep
Description forthcoming.

### rulersVisible

- (BOOL) rulersVisible;
Availability: OpenStep
Description forthcoming.

### scrollsDynamically

- (BOOL) scrollsDynamically;
Availability: OpenStep
Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: OpenStep
Description forthcoming.

### setBorderType:

- (void) setBorderType: (NSBorderType)borderType;
Availability: OpenStep
Description forthcoming.

### setContentView:

- (void) setContentView: (NSClipView*)aView;
Availability: OpenStep
Description forthcoming.

### setDocumentCursor:

- (void) setDocumentCursor: (NSCursor*)aCursor;
Availability: OpenStep
Description forthcoming.

### setDocumentView:

- (void) setDocumentView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setHasHorizontalRuler:

- (void) setHasHorizontalRuler: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setHasHorizontalScroller:

- (void) setHasHorizontalScroller: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setHasVerticalRuler:

- (void) setHasVerticalRuler: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setHasVerticalScroller:

- (void) setHasVerticalScroller: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setHorizontalLineScroll:

- (void) setHorizontalLineScroll: (float)aFloat;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setHorizontalPageScroll:

- (void) setHorizontalPageScroll: (float)aFloat;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setHorizontalRulerView:

- (void) setHorizontalRulerView: (NSRulerView*)aRulerView;
Availability: OpenStep
Description forthcoming.

### setHorizontalScroller:

- (void) setHorizontalScroller: (NSScroller*)aScroller;
Availability: OpenStep
Description forthcoming.

### setLineScroll:

- (void) setLineScroll: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setPageScroll:

- (void) setPageScroll: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setRulersVisible:

- (void) setRulersVisible: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setScrollsDynamically:

- (void) setScrollsDynamically: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setVerticalLineScroll:

- (void) setVerticalLineScroll: (float)aFloat;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setVerticalPageScroll:

- (void) setVerticalPageScroll: (float)aFloat;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setVerticalRulerView:

- (void) setVerticalRulerView: (NSRulerView*)aRulerView;
Availability: OpenStep
Description forthcoming.

### setVerticalScroller:

- (void) setVerticalScroller: (NSScroller*)aScroller;
Availability: OpenStep
Description forthcoming.

### tile

- (void) tile;
Availability: OpenStep
Description forthcoming.

### verticalLineScroll

- (float) verticalLineScroll;
Availability: MacOS-X 10.0.0
Description forthcoming.

### verticalPageScroll

- (float) verticalPageScroll;
Availability: MacOS-X 10.0.0
Description forthcoming.

### verticalRulerView

- (NSRulerView*) verticalRulerView;
Availability: OpenStep
Description forthcoming.

### verticalScroller

- (NSScroller*) verticalScroller;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSScrollView Class

### _borderType

@protected NSBorderType _borderType;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _contentView

@protected NSClipView* _contentView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _cornerView

@protected NSView* _cornerView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hLineScroll

@protected float _hLineScroll;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hPageScroll

@protected float _hPageScroll;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasCornerView

@protected BOOL _hasCornerView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasHeaderView

@protected BOOL _hasHeaderView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasHorizRuler

@protected BOOL _hasHorizRuler;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasHorizScroller

@protected BOOL _hasHorizScroller;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasVertRuler

@protected BOOL _hasVertRuler;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasVertScroller

@protected BOOL _hasVertScroller;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _headerClipView

@protected NSClipView* _headerClipView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _horizRuler

@protected NSRulerView* _horizRuler;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _horizScroller

@protected NSScroller* _horizScroller;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _knobMoved

@protected BOOL _knobMoved;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _rulersVisible

@protected BOOL _rulersVisible;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _scrollsDynamically

@protected BOOL _scrollsDynamically;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _vLineScroll

@protected float _vLineScroll;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _vPageScroll

@protected float _vPageScroll;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _vertRuler

@protected NSRulerView* _vertRuler;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _vertScroller

@protected NSScroller* _vertScroller;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up